For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Voices
      • GETGet Voice
      • GETGet Similar Voices
      • POSTFavorite Voice
      • DELUnfavorite Voice
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referencevoices

Get Voice

GET
/api/v1/voices/:voice_id
GET
/api/v1/voices/:voice_id
$curl https://api.onepin.ai/api/v1/voices/voice_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "name": "Clara",
5 "provider": "AcmeVoice",
6 "provider_voice_id": "acme_clara_001",
7 "is_active": true,
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-04-10T14:45:00Z",
10 "description": "A clear and friendly female American English voice, perfect for news narration.",
11 "gender": "female",
12 "accent": "american",
13 "age": "young",
14 "category": "news",
15 "color": "#FF5733",
16 "tags": [
17 "news",
18 "clear",
19 "friendly"
20 ],
21 "descriptor": "Bright and engaging tone",
22 "uses_count": 1245,
23 "user_id": "9b2d7f3e-8c4a-4f1a-9d3e-2a1b7c9d5e6f",
24 "source": "platform",
25 "duration_seconds": 12.5,
26 "sample_url": "https://cdn.onepin.ai/samples/acme_clara_001.mp3",
27 "supported_languages": [
28 "en-US",
29 "en-GB"
30 ],
31 "is_favorite": false
32 },
33 "meta": {
34 "request_id": "7f9c8d2a-3b4e-4f6a-9c1d-2e3f4a5b6c7d",
35 "timestamp": "2024-04-27T12:00:00Z"
36 }
37}

Get a voice by ID, scoped to caller workspace + platform voices.

Was this page helpful?
Previous

Get Similar Voices

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token
OR
AuthorizationBearer

Onepin live API key (op_live_...). Test and public keys are reserved in Phase 1.

Path parameters

voice_idstringRequiredformat: "uuid"

Headers

X-Workspace-Idstring or nullOptional

Response

Successful Response
dataobject
metaobject

Errors

422
Unprocessable Entity Error